# Original version from Julian Stecklina / js+tup@alien8.de

Name:       tup
Version:    0.7.11.gc8bca8d8
Release:    1%{?dist}
Summary:    A file-based build system
License:    GPLv2
URL:        http://gittup.org/tup
Packager:   ccorsi@yukios.net

Source0: https://github.com/gittup/tup/archive/c8bca8d8b208f2453a18f676d2169e0178594a74.tar.gz
Patch0: 0000-use-rpmbuild-flags.patch

BuildRequires: fuse3-devel, pcre-devel, gcc
Requires: fuse3, pcre

%description

Tup is a file-based build system for Linux, OSX, and Windows. It inputs a list
of file changes and a directed acyclic graph (DAG), then processes the DAG to
execute the appropriate commands required to update dependent files. Updates are
performed with very little overhead since tup implements powerful build
algorithms to avoid doing unnecessary work. This means you can stay focused on
your project rather than on your build system.

%prep
%setup -q -n "tup-c8bca8d8b208f2453a18f676d2169e0178594a74"

%patch0

%build
TUP_LABEL=v%{version} ./bootstrap-nofuse.sh

%install
mkdir -p %{buildroot}/%{_bindir}
install -m 0755 tup %{buildroot}/%{_bindir}/tup

mkdir -p %{buildroot}/%{_mandir}/man1
install -m 0644 tup.1 %{buildroot}/%{_mandir}/man1/tup.1

%files
%{_bindir}/tup
%{_mandir}/man1/tup.1.*

%doc COPYING README.md CONTRIBUTING.md


%changelog

